complexType "RequestCollateralAcceptance"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 15 elements
Defined: | globally in fpml-collateral-processes-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header?, validation*, parentCorrelationId?, correlationId?, sequenceNumber??, onBehalfOf[0..4]?, marginCallIssuerPartyReference, marginCallReceiverPartyReference, agreedAmount?, ((variationMargin, segregatedIndependentAmount?) | segregatedIndependentAmount), assets, party*, account*
</...>

Content Model Elements (15):

  account,
  agreedAmount (in requestCollateralAcceptance),
  assets (in requestCollateralAcceptance),
  correlationId,
  header (defined in ResponseMessage complexType),
  marginCallIssuerPartyReference (in requestCollateralAcceptance),
  marginCallReceiverPartyReference (in requestCollateralAcceptance),
  onBehalfOf (defined in OnBehalfOf.model group),
  parentCorrelationId,
  party (defined in PartiesAndAccounts.model group),
  segregatedIndependentAmount (in requestCollateralAcceptance),
  segregatedIndependentAmount (in requestCollateralAcceptance),
  sequenceNumber (defined in Sequence.model group),
  validation,
  variationMargin (in requestCollateralAcceptance)

All Direct / Indirect Based Elements (1):

  requestCollateralAcceptance

Known Usage Locations

- As direct type of elements (1):
  requestCollateralAcceptance

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) ResponseMessage (extension) RequestCollateralAcceptance

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="RequestCollateralAcceptance"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element name="marginCallIssuerPartyReference" type="PartyReference"/> <xsd:element name="marginCallReceiverPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="agreedAmount" type="AgreedAmount"/> <xsd:group ref="ProposedCollateral.model"/> <xsd:element name="assets" type="Assets"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/15)
agreedAmount

  Type: | AgreedAmount, complex content

  The agreedAmount block allows the responder to detail the undisputed amount for any Variation Margin requirement and/or Segregated Independent Amount requirement they may have received in the corresponding requestMargin message.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="agreedAmount" type="AgreedAmount"/>

assets

  Type: | Assets, complex content

  The list of assets to be moved.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="assets" type="Assets"/>

marginCallIssuerPartyReference

  Type: | PartyReference, empty content

  The party issuing the margin call.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="marginCallIssuerPartyReference" type="PartyReference"/>

marginCallReceiverPartyReference

  Type: | PartyReference, empty content

  The party receiving the margin call.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="marginCallReceiverPartyReference" type="PartyReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.